Перейти к содержанию

Рекомендуемые сообщения

Подскажите что делать, если не устанавливается ни один модуль? Пытаюсь поставить хотя бы оповещение по СМС (https://smsc.ru/api/code/#opencart), загружаю, обновляю модификатор, но в списке модулей он так и не появляется. Постоянно выдаёт сообщение «Неправильный тип файла!». Пытался поставить Quick Fix, но так же никаких результатов. Не грузится ни один zip архив. Загружать сложные модули, например СДЭК, через FTP вообще не вариант. Буду благодарен за любую помощь. Спасибо!

Изменено пользователем antongridz

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Пытался поставить Quick Fix, но так же никаких результатов. Не грузится ни один zip архив.

 

Сам фикс нужно вынуть из архива и загрузить только ocmod файл.

Грузится будут только те архивы ,которые заканчиваются на   название.ocmod.zip

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Сам фикс нужно вынуть из архива и загрузить только ocmod файл.

Грузится будут только те архивы ,которые заканчиваются на   название.ocmod.zip

Сам Fix загрузился через установку расширений, но вот дальше после него не грузится больше ничего. Первый раз мне удалось загрузить архив с модулем SMSC. В названии не было окончания ocmod. Позже я снёс его, чтоб попробовать установить заново. Уже добавляю к названию OCMOD, но выдаёт ошибку «Каталог, содержащий файлы для загрузки не может быть найден!». Сносил Fix. Та же история. Уже не знаю что делать.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Не нужно паниковать и метаться.

 

Вынимаем из архива фикс.Загружаем .Переходим в раздел Модификаторы.

 

Обновляем кеш модификаторов.

 

Всё, на данном этапе магазин готов к загрузке.

 

Дальше внимательно смотреть что внутри архивов.Многие авторы пихают туда то что не возможно установить.

 

Уже добавляю к названию OCMOD, но выдаёт ошибку «Каталог, содержащий файлы для загрузки не может быть найден!».

 

Мало того что архив правильно должен называться,так ещё и внутри файлы должны быть определённые.А именно 

 

upload (папка с файлами)

install.xml  (модификатор) 

 

итд.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Не нужно паниковать и метаться.

 

Вынимаем из архива фикс.Загружаем .Переходим в раздел Модификаторы.

 

Обновляем кеш модификаторов.

 

Всё, на данном этапе магазин готов к загрузке.

 

Дальше внимательно смотреть что внутри архивов.Многие авторы пихают туда то что не возможно установить.

 

Мало того что архив правильно должен называться,так ещё и внутри файлы должны быть определённые.А именно 

 

upload (папка с файлами)

install.xml  (модификатор) 

 

итд.

 

Большое спасибо! Разобрался что к чему. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

install.xml не обязателен.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Большое спасибо! Разобрался что к чему. 

а что к чему?у меня т

Такая же проблема. в модификации есть. нажимаю рефреш. и нигде ничего не появляется. ни модуль, ни темплейты

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Всем доброго времени суток. У меня модули устанавливаются(например -> этот

FastOrder Form (quick order) или вот этот -> ShortCheckoutPRO... любой), но не в карточках товара ни в продукт ничего не отображается. Файлы модулей есть в контроллерах и во вью папках но на дисплей не выводится. В чем может дело? Я ожидпл от готовых и популярных модулей, что их установка избавляет от задачи ручной правки кода...Спасибо!

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

У готовых и популярных модулей есть авторы.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А у вас есть какой нибудь готовый и популярный)) модуль который я мог бы установить для теста? для версии 2,3,0,2. Я бы попробовал его установить , любой не нужный. для теста (Хотя наверное, у меня что то с темой(шаблоном), которая установлена как альтернатива default)

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Откройте мой профиль и потом раздел с дополнениями.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Выбирать нужно согласно своей версии опенкарт.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Группы товаров по цвету 1.5 - 2.0 2.3 тут указано что мне как раз подойдет

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Подскажите  пожалуйста Tom, под каким названием данный модуль " Группы товаров по цвету 1.5 - 2.0 2.3 " отображается в списке модулей?

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Группы товаров по цвету.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.